Bug 1129569 - [abrt] strace: init(): strace killed by SIGSEGV
Summary: [abrt] strace: init(): strace killed by SIGSEGV
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: 21
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry V. Levin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:552ea56d72903168d4414960fd5...
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker 1129572
TreeView+ depends on / blocked
 
Reported: 2014-08-13 08:44 UTC by Michal Toman
Modified: 2015-03-23 00:42 UTC (History)
6 users (show)

Fixed In Version: 4.9-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1129572 (view as bug list)
Environment:
Last Closed: 2014-08-19 14:20:41 UTC


Attachments (Terms of Use)
File: backtrace (109.75 KB, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
File: cgroup (173 bytes, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
File: core_backtrace (992 bytes, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
File: dso_list (238 bytes, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
File: environ (3.47 KB, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
File: maps (1.08 KB, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
File: open_fds (105 bytes, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
File: proc_pid_status (866 bytes, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
File: var_log_messages (2.21 KB, text/plain)
2014-08-13 08:44 UTC, Michal Toman
no flags Details
strace-ppc-ptrace-proto.patch (1.00 KB, patch)
2014-08-13 11:57 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2014-08-13 08:44:28 UTC
Description of problem:
Getting a segmentation fault when trying to attach to a process on ppc64le. Only happens when attaching, running '$ strace cmd' works fine.

Version-Release number of selected component:
strace-4.8-5.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        strace -p 3250
crash_function: init
executable:     /usr/bin/strace
kernel:         3.14.0-1.fc21.ppc64le
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 newoutf at strace.c:644
 #1 startup_attach at strace.c:976
 #2 init at strace.c:1836

Comment 1 Michal Toman 2014-08-13 08:44:32 UTC
Created attachment 926313 [details]
File: backtrace

Comment 2 Michal Toman 2014-08-13 08:44:33 UTC
Created attachment 926314 [details]
File: cgroup

Comment 3 Michal Toman 2014-08-13 08:44:34 UTC
Created attachment 926315 [details]
File: core_backtrace

Comment 4 Michal Toman 2014-08-13 08:44:35 UTC
Created attachment 926316 [details]
File: dso_list

Comment 5 Michal Toman 2014-08-13 08:44:37 UTC
Created attachment 926317 [details]
File: environ

Comment 6 Michal Toman 2014-08-13 08:44:38 UTC
Created attachment 926318 [details]
File: exploitable

Comment 7 Michal Toman 2014-08-13 08:44:39 UTC
Created attachment 926319 [details]
File: limits

Comment 8 Michal Toman 2014-08-13 08:44:40 UTC
Created attachment 926320 [details]
File: maps

Comment 9 Michal Toman 2014-08-13 08:44:42 UTC
Created attachment 926321 [details]
File: open_fds

Comment 10 Michal Toman 2014-08-13 08:44:43 UTC
Created attachment 926322 [details]
File: proc_pid_status

Comment 11 Michal Toman 2014-08-13 08:44:44 UTC
Created attachment 926323 [details]
File: var_log_messages

Comment 12 Dmitry V. Levin 2014-08-13 08:53:27 UTC
Could you check whether upstream version from git://git.code.sf.net/p/strace/code passes "make check" on that platform, please?

Comment 13 Michal Toman 2014-08-13 08:59:58 UTC
The testsuite passes. The strace binary built within that tree does not have the problem - no segfault when attaching to system processes.

Comment 14 Dmitry V. Levin 2014-08-13 09:38:57 UTC
(In reply to Michal Toman from comment #13)
> The testsuite passes. The strace binary built within that tree does not have
> the problem - no segfault when attaching to system processes.

Thanks for testing.  So this bug will be fixed in strace-4.9 which I'm going to release soon.

Comment 15 Michel Normand 2014-08-13 11:07:33 UTC
note that this is very similar to an opensuse bug https://bugzilla.novell.com/show_bug.cgi?id=865151
that pointed to same error and was solved by upstream commit
https://sourceforge.net/p/strace/code/ci/03ef0b2665363adf6100bc4af479a14b5f17bc27/

Comment 16 Michal Toman 2014-08-13 11:57:58 UTC
Created attachment 926378 [details]
strace-ppc-ptrace-proto.patch

The commit fixes the problem. Since the upstream patch does not apply to Fedora dist git, attaching a modified version that does.

Comment 17 Dan Horák 2014-08-13 12:07:04 UTC
(In reply to Dmitry V. Levin from comment #14)
> (In reply to Michal Toman from comment #13)
> > The testsuite passes. The strace binary built within that tree does not have
> > the problem - no segfault when attaching to system processes.
> 
> Thanks for testing.  So this bug will be fixed in strace-4.9 which I'm going
> to release soon.

Dmitry, do you have any guess when it might happen?

Comment 18 Dmitry V. Levin 2014-08-13 12:14:25 UTC
(In reply to Dan Horák from comment #17)
> (In reply to Dmitry V. Levin from comment #14)
> > (In reply to Michal Toman from comment #13)
> > > The testsuite passes. The strace binary built within that tree does not have
> > > the problem - no segfault when attaching to system processes.
> > 
> > Thanks for testing.  So this bug will be fixed in strace-4.9 which I'm going
> > to release soon.
> 
> Dmitry, do you have any guess when it might happen?

I hope it'll happen this week.


Note You need to log in before you can comment on or make changes to this bug.